Loading...
Searching...
No Matches
svn_ra_callbacks2_t Struct Reference

A collection of callbacks implemented by libsvn_client which allows an RA layer to "pull" information from the client application, or possibly store information. More...

`#include <svn_ra.h>`

## Data Fields

svn_error_t *(* | open_tmp_file )(apr_file_t **fp, void *callback_baton, apr_pool_t *pool)
| Open a unique temporary file for writing in the working copy.
svn_auth_baton_t * | auth_baton
| An authentication baton, created by the application, which is capable of retrieving all known types of credentials.
svn_ra_get_wc_prop_func_t | get_wc_prop
| Fetch working copy properties.
svn_ra_set_wc_prop_func_t | set_wc_prop
| Immediately set new values for working copy properties.
svn_ra_push_wc_prop_func_t | push_wc_prop
| Schedule new values for working copy properties.
svn_ra_invalidate_wc_props_func_t | invalidate_wc_props
| Invalidate working copy properties.
svn_ra_progress_notify_func_t | progress_func
| Notification callback used for progress information.
void * | progress_baton
| Notification callback baton, used with progress_func.
svn_cancel_func_t | cancel_func
| Cancellation function.
svn_ra_get_client_string_func_t | get_client_string
| Client string customization callback function.
svn_ra_get_wc_contents_func_t | get_wc_contents
| Working copy file content fetching function.
svn_ra_check_tunnel_func_t | check_tunnel_func
| Check-tunnel callback.
svn_ra_open_tunnel_func_t | open_tunnel_func
| Open-tunnel callback.
void * | tunnel_baton
| A baton used with open_tunnel_func and close_tunnel_func.

## Detailed Description

A collection of callbacks implemented by libsvn_client which allows an RA layer to "pull" information from the client application, or possibly store information.

libsvn_client passes this vtable to svn_ra_open5().

Each routine takes a callback_baton originally provided with the vtable.

Clients must use svn_ra_create_callbacks() to allocate and initialize this structure.

Since
  New in 1.3.

Definition at line 533 of file svn_ra.h.

## Field Documentation

## auth_baton

svn_auth_baton_t* svn_ra_callbacks2_t::auth_baton

An authentication baton, created by the application, which is capable of retrieving all known types of credentials.

Definition at line 547 of file svn_ra.h.

## cancel_func

svn_cancel_func_t svn_ra_callbacks2_t::cancel_func

Cancellation function.

As its baton, the general callback baton is used

Since
  New in 1.5

Definition at line 587 of file svn_ra.h.

## check_tunnel_func

svn_ra_check_tunnel_func_t svn_ra_callbacks2_t::check_tunnel_func

Check-tunnel callback.

If not `NULL`, and open_tunnel_func is also not `NULL`, this callback will be invoked to check if open_tunnel_func should be used to create a specific tunnel, or if the default tunnel implementation (either built-in or configured in the client configuration file) should be used instead.

Since
  New in 1.9.

Definition at line 608 of file svn_ra.h.

## get_client_string

svn_ra_get_client_string_func_t svn_ra_callbacks2_t::get_client_string

Client string customization callback function.

Since
  New in 1.5

Definition at line 592 of file svn_ra.h.

## get_wc_contents

svn_ra_get_wc_contents_func_t svn_ra_callbacks2_t::get_wc_contents

Working copy file content fetching function.

Since
  New in 1.8.

Definition at line 597 of file svn_ra.h.

## get_wc_prop

svn_ra_get_wc_prop_func_t svn_ra_callbacks2_t::get_wc_prop

Fetch working copy properties.

Note
  we might have a problem if the RA layer ever wants a property that corresponds to a different revision of the file than what is in the WC. we'll cross that bridge one day...

Definition at line 562 of file svn_ra.h.

## invalidate_wc_props

svn_ra_invalidate_wc_props_func_t svn_ra_callbacks2_t::invalidate_wc_props

Invalidate working copy properties.

Definition at line 571 of file svn_ra.h.

## open_tmp_file

svn_error_t *(* svn_ra_callbacks2_t::open_tmp_file) (apr_file_t **fp, void *callback_baton, apr_pool_t *pool)

Open a unique temporary file for writing in the working copy.

This file will be automatically deleted when fp is closed.

Deprecated
  This callback should no longer be used by RA layers.

Definition at line 540 of file svn_ra.h.

## open_tunnel_func

svn_ra_open_tunnel_func_t svn_ra_callbacks2_t::open_tunnel_func

Open-tunnel callback.

If not `NULL`, this callback will be invoked to create a tunnel for a ra_svn connection that needs one, overriding any tunnel definitions in the client config file. This callback is used only for ra_svn and ignored by the other RA modules.

Since
  New in 1.9.

Definition at line 618 of file svn_ra.h.

## progress_baton

void* svn_ra_callbacks2_t::progress_baton

Notification callback baton, used with progress_func.

Definition at line 579 of file svn_ra.h.

## progress_func

svn_ra_progress_notify_func_t svn_ra_callbacks2_t::progress_func

Notification callback used for progress information.

May be NULL if not used.

Definition at line 576 of file svn_ra.h.

## push_wc_prop

svn_ra_push_wc_prop_func_t svn_ra_callbacks2_t::push_wc_prop

Schedule new values for working copy properties.

Definition at line 568 of file svn_ra.h.

## set_wc_prop

svn_ra_set_wc_prop_func_t svn_ra_callbacks2_t::set_wc_prop

Immediately set new values for working copy properties.

Definition at line 565 of file svn_ra.h.

## tunnel_baton

void* svn_ra_callbacks2_t::tunnel_baton

A baton used with open_tunnel_func and close_tunnel_func.

Since
  New in 1.9.

Definition at line 623 of file svn_ra.h.

The documentation for this struct was generated from the following file:

- svn_ra.h